// SRB2K colors
_(NONE)

_(WHITE)
_(SILVER)
_(GREY)
_(NICKEL)
_(BLACK)
_(SKUNK)
_(FAIRY)
_(POPCORN)
_(ARTICHOKE)
_(PIGEON)
_(SEPIA)
_(BEIGE)
_(WALNUT)
_(BROWN)
_(LEATHER)
_(SALMON)
_(PINK)
_(ROSE)
_(BRICK)
_(CINNAMON)
_(RUBY)
_(RASPBERRY)
_(CHERRY)
_(RED)
_(CRIMSON)
_(MAROON)
_(LEMONADE)
_(FLAME)
_(SCARLET)
_(KETCHUP)
_(DAWN)
_(SUNSET)
_(CREAMSICLE)
_(ORANGE)
_(PUMPKIN)
_(ROSEWOOD)
_(BURGUNDY)
_(TANGERINE)
_(PEACH)
_(CARAMEL)
_(CREAM)
_(GOLD)
_(ROYAL)
_(BRONZE)
_(COPPER)
_(QUARRY)
_(YELLOW)
_(MUSTARD)
_(CROCODILE)
_(OLIVE)
_(VOMIT)
_(GARDEN)
_(LIME)
_(HANDHELD)
_(TEA)
_(PISTACHIO)
_(MOSS)
_(CAMOUFLAGE)
_(ROBOHOOD)
_(MINT)
_(GREEN)
_(PINETREE)
_(TURTLE)
_(SWAMP)
_(DREAM)
_(PLAGUE)
_(ALGAE)
_(CARIBBEAN)
_(AZURE)
_(AQUA)
_(TEAL)
_(CYAN)
_(JAWZ) // Oni's torment
_(CERULEAN)
_(NAVY)
_(PLATINUM)
_(SLATE)
_(STEEL)
_(THUNDER)
_(RUST)
_(WRISTWATCH)
_(JET)
_(SAPPHIRE)
_(PERIWINKLE)
_(BLUE)
_(MIDNIGHT)
_(NOVA)
_(PASTEL)
_(MOONSLAM)
_(ULTRAVIOLET)
_(DUSK)
_(BUBBLEGUM)
_(PURPLE)
_(FUCHSIA)
_(TOXIC)
_(MAUVE)
_(LAVENDER)
_(BYZANTIUM)
_(POMEGRANATE)
_(LILAC)

// Ring Racers New Colors
// These are listed after the Kart colors for backwards compatability
_(SUNSLAM)
_(TAN)
_(BANANA)
_(PERIDOT)
_(EMERALD)
_(AQUAMARINE)
_(TURQUOISE)
_(ROBIN)
_(ULTRAMARINE)
_(BLUEBERRY)
_(THISTLE)
_(MOONSET)
_(VIOLET)
_(MAGENTA)
_(BLOSSOM)
_(TAFFY)

// SRB2 Vanilla 2.2 Ports
// featuring Viv's vivid colours (toast 21/07/17)
// Tweaks & additions (Lach, Chrispy, sphere, Alice, MotorRoach & Saneko 26/10/22)
// Conversion to Kart/Ring Racers style (BlanKart 21/04/25)
_(BONE)
_(CARBON)
_(INK)
_(AETHER)
_(MARBLE)
_(MOONSTONE)
_(BLUEBELL)
_(CHESTNUT)
_(LATTE)
_(BOULDER)
_(BRASS)
_(VINTAGE)
_(ECRU)
_(SANDSTORM)
_(ROSEBUSH)
_(LEEK)
_(EGGPLANT)
_(CERISE)
_(CRANBERRY)
_(PEPPER)
_(MAHOGANY)
_(BLAZING)
_(GARNET)
_(PEACHY)
_(QUAIL)
_(FOUNDATION)
_(BURNING)
_(APRICOT)
_(TOPAZ)
_(SANDY)
_(LEMON)
_(CASKET)
_(PEAR)
_(GECKO)
_(VENOM)
_(APPLE)
_(HEADLIGHT)
_(CHARTREUSE)
_(FOREST)
_(JADE)
_(MASTER)
_(HARLEQUIN)
_(SEAFOAM)
_(ISLAND)
_(BOTTLE)
_(OCEAN)
_(WAVE)
_(FROST)
_(VACATION)
_(HYDRO)
_(SKY)
_(MARINE)
_(DEPTHS)
_(FANTASY)
_(ICY)
_(DAYBREAK)
_(ARCTIC)
_(CORNFLOWER)
_(COBALT)
_(NIGHTFALL)
_(GALAXY)
_(VAPOR)
_(MAJESTY)
_(NOBLE)
_(BERRY)
_(SIBERITE)
_(NEON)
_(GRAPE)
_(ARISTOCRAT)
_(BLOOM)
_(MALLOW)
_(EVENTIDE)
_(PLUM)
_(PUNCH)
_(FLAMINGO)
_(FANCY)
_(SANGRIA)
_(VOLCANIC)

// Custom Color Expansion
// Featuring all new colors to best match Kart and Ring Racers
_(IVORY)
_(ABYSS)
_(DIAMOND)
_(RAVEN)
_(NOIR)
_(VANILLA)
_(FIREFLY)
_(COFFEE)
_(CHOCOLATE)
_(DUST)
_(HICKORY)
_(PEARL)
_(ROSEGOLD)
_(DRAGONFRUIT)
_(STRAWBERRY)
_(AMARANTH)
_(PARROT)
_(SODA)
_(VERMILLION)
_(WINE)
_(BLOODCELL)
_(SYRUP)
_(SUNBURST)
_(GRAPEFRUIT)
_(DEEPFRY)
_(SENTINEL)
_(FIERY)
_(AUTUMN)
_(SPICE)
_(SUMMER)
_(HALLOWEEN)
_(DUNE)
_(CHEESE)
_(CARROT)
_(TIGER)
_(SIENNA)
_(AMBER)
_(STEAMPUNK)
_(BLONDE)
_(DRAVITE)
_(CANARY)
_(HORNET)
_(MOON)
_(KHAKI)
_(PYRAMID)
_(LASER)
_(DANDELION)
_(SAGE)
_(JUNGLE)
_(PLANTATION)
_(SCIENCE)
_(WILD)
_(JUNIPER)
_(PEPPERMINT)
_(SPRING)
_(IGUANA)
_(AVOCADO)
_(ARMY)
_(CROW)
_(DIANNE)
_(BEAN)
_(CLOVER)
_(LEAF)
_(SOUR)
_(SLIME)
_(WATERMELON)
_(MIAMI)
_(SPEARMINT)
_(CAPRI)
_(ELECTRIC)
_(PEGASUS)
_(PIPEWORK)
_(SACRAMENTO)
_(EVERGREEN)
_(CHILL)
_(PEACOCK)
_(WINTER)
_(MECHA)
_(POLAR)
_(COTTONCANDY)
_(SNOWMAN)
_(CRYSTAL)
_(WATERSTONE)
_(LUNAR)
_(ONYX)
_(ASTRONAUT)
_(COMET)
_(MINSK)
_(LAPIS)
_(GROWTH)
_(NOCTURNE)
_(ZIRCON)
_(ORCHID)
_(EMPERESS)
_(NIGHTWALK)
_(AMETHYST)
_(GOTHIC)
_(INDIGO)
_(CORDOVAN)
_(SAKURA)
_(DISCO)
_(MULBERRY)
_(VELOUR)
_(WICKED)
_(GLAMOUR)
_(UNICORN)

// Super Colors
// Currently not implemented, using SRB2K's as a placeholder
_(SUPER1)
_(SUPER2)
_(SUPER3)
_(SUPER4)
_(SUPER5)

_(TSUPER1)
_(TSUPER2)
_(TSUPER3)
_(TSUPER4)
_(TSUPER5)

_(KSUPER1)
_(KSUPER2)
_(KSUPER3)
_(KSUPER4)
_(KSUPER5)

_(PSUPER1)
_(PSUPER2)
_(PSUPER3)
_(PSUPER4)
_(PSUPER5)

_(BSUPER1)
_(BSUPER2)
_(BSUPER3)
_(BSUPER4)
_(BSUPER5)

_(ASUPER1)
_(ASUPER2)
_(ASUPER3)
_(ASUPER4)
_(ASUPER5)

_(GSUPER1)
_(GSUPER2)
_(GSUPER3)
_(GSUPER4)
_(GSUPER5)

_(WSUPER1)
_(WSUPER2)
_(WSUPER3)
_(WSUPER4)
_(WSUPER5)

_(CSUPER1)
_(CSUPER2)
_(CSUPER3)
_(CSUPER4)
_(CSUPER5)

_(INVINCFLASH)
